/*
    Bantumi
    Copyright 2005 - 2007 Martin Storsj

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

    Martin Storsj
    martin@martin.st
*/

#ifndef __GLAPPUI_H
#define __GLAPPUI_H

class CGLAppView;

#ifdef UIQ3
#include <qikappui.h>
class CGLAppUi : public CQikAppUi {
#else
#include <aknappui.h>
class CGLAppUi : public CAknAppUi {
#endif

public:
	CGLAppUi();
	~CGLAppUi();

	void HandleForegroundEventL(TBool aForeground);
	void SetEmphasis(CCoeControl* aMenuControl, TBool aEmphasis);
	void DynInitMenuBarL(TInt aResourceId, CEikMenuBar* aMenuBar);

protected:
	CGLAppView* iAppView;
};

#endif
